Microsoft.Build.Framework 2.0.0.0 Microsoft.Build.Framework.BuildMessageEventArgs

extends so that the command line string used by a task to execute an underlying program can be logged as a message. Logging a command line string is only relevant for tasks that wrap an underlying program or emulate a shell command. Tasks that have no command line equivalent should not raise this extended message event.

Provides data for the event.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class with the specified command line and .

  The command line used by the task to run the underlying program.
  The name of the task raising the event.
  The of the message.
  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the command line used by the task to run the underlying program.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the name of the task that raised the event.

  2.0.0.0